#!/bin/bash

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

: "${PORT:=8880}"
: "${CONTROL_PORT:=8881}"

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"

TZ=UTC java $JAVA_MEMORY_ARGS -XX:+PrintGCTimeStamps -XshowSettings:vm -jar "${SCRIPT_DIR}/cht-svc-authorization-assembly-1.0.jar" -http.port=:$PORT -admin.port=:$CONTROL_PORT $*
